Library Version 18.1.40

db_set_base_iterator
Prev | Chapter 18. Db_set_base_iterator | Next

## db_set_base_iterator

### Function Details

    db_set_base_iterator(db_container *powner, u_int32_t b_bulk_retrieval=0,
        bool brmw=false, bool directdbget=true,
        bool b_read_only=false)

Constructor.

#### Parameters

##### b_bulk_retrieval

The bulk read buffer size. 0 means bulk read disabled.

##### brmw

Whether set DB_RMW flag in underlying cursor.

##### powner

The container which creates this iterator.

##### directdbget

Whether do direct database get rather than using key/data values cached in the iterator whenever read.

##### b_read_only

Whether open a read only cursor. Only effective when using Berkeley DB Concurrent Data Store.

    db_set_base_iterator()

Default constructor, dose not create the cursor for now.

    db_set_base_iterator(const db_set_base_iterator &s)

Copy constructor.

#### Parameters

##### s

The other iterator of the same type to initialize this.

    db_set_base_iterator(const base &bo)

Base copy constructor.

#### Parameters

##### bo

Initialize from a base class iterator.

### Group: Constructors and destructor

Do not use these constructors to create iterators, but call db_set::begin() const or db_multiset::begin() const to create valid iterators.

### Class

db_set_base_iterator

Prev | Up | Next
Chapter 18. Db_set_base_iterator | Home | operator++